> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Price

> Fetches latest OHLCV quote from CoinMarketCap by cmc id or symbol.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-current-price
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-current-price:
    get:
      operationId: getCurrentPrice
      summary: Get Current Price
      x-toku-required-scope: wallets:read
      description: |-
        Fetches latest OHLCV quote from CoinMarketCap by cmc id or symbol.

        Required scope: `wallets:read`
      parameters:
        - name: cmcId
          in: query
          required: false
          schema:
            type: string
            pattern: ^\d+$
        - name: currencySymbol
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 20
            pattern: ^[A-Za-z0-9_-]+$
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCurrentPriceResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetCurrentPriceResponse:
      oneOf:
        - $ref: '#/components/schemas/GetCurrentPriceResponse1'
        - type: object
          additionalProperties:
            oneOf:
              - type: object
                properties:
                  id:
                    type: number
                  name:
                    type: string
                  symbol:
                    type: string
                  quote:
                    type: object
                    properties:
                      USD:
                        type: object
                        properties:
                          close:
                            type: number
                          low:
                            type: number
                          high:
                            type: number
                          volume:
                            type: number
                        required:
                          - close
                    required:
                      - USD
                required:
                  - quote
              - type: array
                items:
                  type: object
                  properties:
                    id:
                      type: number
                    name:
                      type: string
                    symbol:
                      type: string
                    quote:
                      type: object
                      properties:
                        USD:
                          type: object
                          properties:
                            close:
                              type: number
                            low:
                              type: number
                            high:
                              type: number
                            volume:
                              type: number
                          required:
                            - close
                      required:
                        - USD
                  required:
                    - quote
    GetCurrentPriceResponse1:
      type: object
      properties:
        tokenPrice:
          type: number
        highPrice:
          type: number
        lowPrice:
          type: number
      required:
        - tokenPrice
        - highPrice
        - lowPrice
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
